package b4j.example;

import anywheresoftware.b4a.BA;
import anywheresoftware.b4a.pc.*;

public class main_subs_0 {


public static RemoteObject  _appstart(RemoteObject _form1,RemoteObject _args) throws Exception{
try {
		Debug.PushSubsStack("AppStart (main) ","main",0,main.ba,main.mostCurrent,11);
if (RapidSub.canDelegate("appstart")) return main.remoteMe.runUserSub(false, "main","appstart", _form1, _args);
RemoteObject _p = RemoteObject.declareNull("b4j.example.person");
Debug.locals.put("Form1", _form1);
Debug.locals.put("Args", _args);
 BA.debugLineNum = 11;BA.debugLine="Sub AppStart (Form1 As Form, Args() As String)";
Debug.ShouldStop(1024);
 BA.debugLineNum = 12;BA.debugLine="MainForm = Form1";
Debug.ShouldStop(2048);
main._mainform = _form1;
 BA.debugLineNum = 14;BA.debugLine="MainForm.Show";
Debug.ShouldStop(8192);
main._mainform.runVoidMethodAndSync ("Show");
 BA.debugLineNum = 16;BA.debugLine="Private p As Person";
Debug.ShouldStop(32768);
_p = RemoteObject.createNew ("b4j.example.person");Debug.locals.put("p", _p);
 BA.debugLineNum = 17;BA.debugLine="p.Initialize(\"John\", \"Doe\", DateTime.DateParse(\"0";
Debug.ShouldStop(65536);
_p.runClassMethod (b4j.example.person.class, "_initialize",main.ba,(Object)(BA.ObjectToString("John")),(Object)(BA.ObjectToString("Doe")),(Object)(main.__c.getField(false,"DateTime").runMethod(true,"DateParse",(Object)(RemoteObject.createImmutable("05/12/1970")))));
 BA.debugLineNum = 18;BA.debugLine="Log(p.GetCurrentAge)";
Debug.ShouldStop(131072);
main.__c.runVoidMethod ("Log",(Object)(BA.NumberToString(_p.runClassMethod (b4j.example.person.class, "_getcurrentage"))));
 BA.debugLineNum = 19;BA.debugLine="End Sub";
Debug.ShouldStop(262144);
return RemoteObject.createImmutable("");
}
catch (Exception e) {
			Debug.ErrorCaught(e);
			throw e;
		} 
finally {
			Debug.PopSubsStack();
		}}

private static boolean processGlobalsRun;
public static void initializeProcessGlobals() {
    
    if (main.processGlobalsRun == false) {
	    main.processGlobalsRun = true;
		try {
		        main_subs_0._process_globals();
main.myClass = BA.getDeviceClass ("b4j.example.main");
person.myClass = BA.getDeviceClass ("b4j.example.person");
		
        } catch (Exception e) {
			throw new RuntimeException(e);
		}
    }
}public static RemoteObject  _process_globals() throws Exception{
 //BA.debugLineNum = 6;BA.debugLine="Sub Process_Globals";
 //BA.debugLineNum = 7;BA.debugLine="Private fx As JFX";
main._fx = RemoteObject.createNew ("anywheresoftware.b4j.objects.JFX");
 //BA.debugLineNum = 8;BA.debugLine="Private MainForm As Form";
main._mainform = RemoteObject.createNew ("anywheresoftware.b4j.objects.Form");
 //BA.debugLineNum = 9;BA.debugLine="End Sub";
return RemoteObject.createImmutable("");
}
}